Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_Dimension

    java.lang.Object
      com.tonbeller.jpivot.xmla.XMLA_Dimension

All Implemented Interfaces:
  Exp, Decorator, Dimension, Displayable, Expression, Visitable, MDXElement

    public class XMLA_Dimension

extends java.lang.Object
implements Dimension, Exp, MDXElement

XMLA Dimension

Field Summary
`static int` | `MD_DIMTYPE_MEASURE`
`static int` | `MD_DIMTYPE_OTHER`
`static int` | `MD_DIMTYPE_TIME`

Fields inherited from interface com.tonbeller.jpivot.olap.model.Dimension
`MEASURES_FIRST_COMPARATOR`

Fields inherited from interface com.tonbeller.jpivot.olap.model.Displayable
`LABEL_COMPARATOR`

Constructor Summary
`XMLA_Dimension()`

Method Summary
`void` | `accept(ExpVisitor visitor)` Exp is visitable
`void` | `accept(Visitor visitor)`
`void` | `addHier(Hierarchy hier)` add hierarchy for this dimension
`void` | `addProp(XMLA_MemberProp prop)` add a property
`java.lang.Object` | `clone()`
`java.lang.String` | `getCaption()` Returns the caption.
`int` | `getCardinality()` Returns the cardinality.
`java.lang.String` | `getDefaultHier()` Returns the defaultHier.
`Hierarchy[]` | `getHierarchies()` return the hierarchies of this dimension
`java.lang.String` | `getLabel()` name of this item
`java.lang.String` | `getName()` Returns the name.
`int` | `getOrdinal()` Returns the ordinal.
`XMLA_MemberProp` | `getProp(java.lang.String xmlTag)` retrieve a property
`java.util.Map` | `getProps()`
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.
`int` | `getType()` Returns the type.
`java.lang.String` | `getUniqueName()` Returns the uniqueName.
`int` | `getUniqueSettings()` Returns the uniqueSettings.
`boolean` | `isMeasure()` true if this is the measures dimension
`boolean` | `isReadWrite()` Returns the isReadWrite.
`boolean` | `isTime()` return true if this is a time dimension.
`boolean` | `isVirtual()` Returns the isVirtual.
`boolean` | `isVisible()` Returns the isVisible.
`void` | `setCaption(java.lang.String caption)` Sets the caption.
`void` | `setCardinality(int cardinality)` Sets the cardinality.
`void` | `setDefaultHier(java.lang.String defaultHier)` Sets the defaultHier.
`void` | `setName(java.lang.String name)` Sets the name.
`void` | `setOrdinal(int ordinal)` Sets the ordinal.
`void` | `setReadWrite(boolean isReadWrite)` Sets the isReadWrite.
`void` | `setType(int type)` Sets the type.
`void` | `setUniqueName(java.lang.String uniqueName)` Sets the uniqueName.
`void` | `setUniqueSettings(int uniqueSettings)` Sets the uniqueSettings.
`void` | `setVirtual(boolean isVirtual)` Sets the isVirtual.
`void` | `setVisible(boolean isVisible)` Sets the isVisible.
`java.lang.String` | `toMdx()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MD_DIMTYPE_TIME

    public static final int MD_DIMTYPE_TIME

See Also:
  Constant Field Values

### MD_DIMTYPE_MEASURE

    public static final int MD_DIMTYPE_MEASURE

See Also:
  Constant Field Values

### MD_DIMTYPE_OTHER

    public static final int MD_DIMTYPE_OTHER

See Also:
  Constant Field Values

Constructor Detail

### XMLA_Dimension

    public XMLA_Dimension()

Method Detail

### isMeasure

    public boolean isMeasure()

  Description copied from interface: `Dimension`
  true if this is the measures dimension

  Specified by:
    `isMeasure` in interface `Dimension`
  See Also:
    `Dimension.isMeasure()`

### isTime

    public boolean isTime()

  Description copied from interface: `Dimension`
  return true if this is a time dimension. Its common to have multiple time dimensions, e.g. one for receipt of order and one for shipping.

  Specified by:
    `isTime` in interface `Dimension`
  See Also:
    `Dimension.isTime()`

### getLabel

    public java.lang.String getLabel()

  Description copied from interface: `Displayable`
  name of this item

  Specified by:
    `getLabel` in interface `Displayable`

### getHierarchies

    public Hierarchy[] getHierarchies()

  Description copied from interface: `Dimension`
  return the hierarchies of this dimension

  Specified by:
    `getHierarchies` in interface `Dimension`
  See Also:
    `Dimension.getHierarchies()`

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`
  See Also:
    `Visitable.accept(Visitor)`

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`

### getCaption

    public java.lang.String getCaption()

  Returns the caption.

  Returns:
    String

### getCardinality

    public int getCardinality()

  Returns the cardinality.

  Returns:
    int

### getDefaultHier

    public java.lang.String getDefaultHier()

  Returns the defaultHier.

  Returns:
    String

### isReadWrite

    public boolean isReadWrite()

  Returns the isReadWrite.

  Returns:
    boolean

### isVirtual

    public boolean isVirtual()

  Returns the isVirtual.

  Returns:
    boolean

### isVisible

    public boolean isVisible()

  Returns the isVisible.

  Returns:
    boolean

### getName

    public java.lang.String getName()

  Returns the name.

  Returns:
    String

### getOrdinal

    public int getOrdinal()

  Returns the ordinal.

  Returns:
    int

### getType

    public int getType()

  Returns the type.

  Returns:
    int

### getUniqueName

    public java.lang.String getUniqueName()

  Returns the uniqueName.

  Specified by:
    `getUniqueName` in interface `MDXElement`
  Returns:
    String

### getUniqueSettings

    public int getUniqueSettings()

  Returns the uniqueSettings.

  Returns:
    int

### setCaption

    public void setCaption(java.lang.String caption)

  Sets the caption.

  Parameters:
    `caption` - The caption to set

### setCardinality

    public void setCardinality(int cardinality)

  Sets the cardinality.

  Parameters:
    `cardinality` - The cardinality to set

### setDefaultHier

    public void setDefaultHier(java.lang.String defaultHier)

  Sets the defaultHier.

  Parameters:
    `defaultHier` - The defaultHier to set

### setReadWrite

    public void setReadWrite(boolean isReadWrite)

  Sets the isReadWrite.

  Parameters:
    `isReadWrite` - The isReadWrite to set

### setVirtual

    public void setVirtual(boolean isVirtual)

  Sets the isVirtual.

  Parameters:
    `isVirtual` - The isVirtual to set

### setVisible

    public void setVisible(boolean isVisible)

  Sets the isVisible.

  Parameters:
    `isVisible` - The isVisible to set

### setName

    public void setName(java.lang.String name)

  Sets the name.

  Parameters:
    `name` - The name to set

### setOrdinal

    public void setOrdinal(int ordinal)

  Sets the ordinal.

  Parameters:
    `ordinal` - The ordinal to set

### setType

    public void setType(int type)

  Sets the type.

  Parameters:
    `type` - The type to set

### setUniqueName

    public void setUniqueName(java.lang.String uniqueName)

  Sets the uniqueName.

  Parameters:
    `uniqueName` - The uniqueName to set

### setUniqueSettings

    public void setUniqueSettings(int uniqueSettings)

  Sets the uniqueSettings.

  Parameters:
    `uniqueSettings` - The uniqueSettings to set

### addHier

    public void addHier(Hierarchy hier)

  add hierarchy for this dimension

  Parameters:
    `hier` -

### toMdx

    public java.lang.String toMdx()

  Specified by:
    `toMdx` in interface `Exp`
  Returns:
    the unique name
  See Also:
    `Exp.toMdx()`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `Exp`
  Overrides:
    `clone` in class `java.lang.Object`
  See Also:
    `probably not needed`

### getProps

    public java.util.Map getProps()

  Returns:

### addProp

    public void addProp(XMLA_MemberProp prop)

  add a property

### getProp

    public XMLA_MemberProp getProp(java.lang.String xmlTag)

  retrieve a property

### accept

    public void accept(ExpVisitor visitor)

  Description copied from interface: `Exp`
  Exp is visitable

  Specified by:
    `accept` in interface `Exp`
  See Also:
    `Exp.accept(com.tonbeller.jpivot.olap.mdxparse.ExpVisitor)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD